|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||
java.lang.Objectorg.exoplatform.social.service.rest.api.ActivityStreamResources
public class ActivityStreamResources
This service allows accessing to: - activity stream (list of activities) of an owner identity. - activity feed (all activities of the authenticated identity, his connections and his spaces). - activity stream of the authenticated identity's connections. - activity stream of the authenticated identity's spaces.
| Constructor Summary | |
|---|---|
ActivityStreamResources()
|
|
| Method Summary | |
|---|---|
javax.ws.rs.core.Response |
getActivityConnectionsOfAuthenticated(javax.ws.rs.core.UriInfo uriInfo,
String portalContainerName,
String format,
int limit,
String sinceId,
String maxId,
int numberOfComments,
int numberOfLikes)
Gets activities of connections of a specified identity. |
javax.ws.rs.core.Response |
getActivityFeedOfAuthenticated(javax.ws.rs.core.UriInfo uriInfo,
String portalContainerName,
String format,
int limit,
String sinceId,
String maxId,
int numberOfComments,
int numberOfLikes)
Gets the activity stream feed of the authenticated user identity who makes this request. |
javax.ws.rs.core.Response |
getActivitySpacesOfAuthenticated(javax.ws.rs.core.UriInfo uriInfo,
String portalContainerName,
String format,
int limit,
String sinceId,
String maxId,
int numberOfComments,
int numberOfLikes)
Gets activities of spaces in which the authenticated user identity is space member that makes this request. |
javax.ws.rs.core.Response |
getActivityStreamByIdentityId(javax.ws.rs.core.UriInfo uriInfo,
String portalContainerName,
String identityId,
String format,
int limit,
String sinceId,
String maxId,
int numberOfComments,
int numberOfLikes)
Gets activities of a defined identity which can be a user identity, a space identity, or any type of identities. |
| Methods inherited from class java.lang.Object |
|---|
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait |
| Constructor Detail |
|---|
public ActivityStreamResources()
| Method Detail |
|---|
public javax.ws.rs.core.Response getActivityStreamByIdentityId(@Context
javax.ws.rs.core.UriInfo uriInfo,
String portalContainerName,
String identityId,
String format,
int limit,
String sinceId,
String maxId,
int numberOfComments,
int numberOfLikes)
uriInfo - The URI information.portalContainerName - The portal container name.identityId - The identity id.
There is one special _identityId_: "me" standing for the authenticated user who make this request.format - The response format type, for example: JSON, or XML.limit - The number of activities retrieved with the default value of 100. This input value must
be less than or equal to its default value (100). The number of the returned results is
actually less than or equal to the _limit_ value.
If no specified, 100 will be the default value.sinceId - Return the activities having the created timestamps greater than the specified
_since\_id_'s created timestamp.maxId - Return the activities having the created timestamps less than the specified _max\_id_'s
created timestamp. Note that _since\_id_ and _max\_id_ must not be defined in one
request, if they are, the _since\_id_ query param is chosen.numberOfComments - Specify the number of latest comments to be displayed along with each activity.
By default, _number\_of\_comments=0_. If _number\_of\_comments_ is a positive number,
this number is considered as a limit number that must be equal or less than 100. If the
total number of comments is less than the provided positive number, the number of actual
comments must be returned. If the total number of comments is more than 100, it is
recommended to use _activity/\:activityId/comments.format_ instead.numberOfLikes - Specify the number of latest detailed likes to be returned along with this activity.
By default, _number\_of\_likes=0_. If _number\_of\_likes_ is a positive number, this
number is considered as a limit number that must be equal or less than 100. If the total
number of likes is less than the provided positive number, the number of actual likes
must be returned. If the total number of likes is more than 100, it is recommended to
use _activity/\:activityId/likes.format_ instead.
public javax.ws.rs.core.Response getActivityFeedOfAuthenticated(@Context
javax.ws.rs.core.UriInfo uriInfo,
String portalContainerName,
String format,
int limit,
String sinceId,
String maxId,
int numberOfComments,
int numberOfLikes)
uriInfo - The URI information.portalContainerName - The portal container name.format - The response format type, for example: JSON, or XML.limit - Specify the number of activities to retrieve. It must be less than or equal to 100.
The value you pass as limit is a maximum number of activities to be returned.
The actual number of activities you receive maybe less than limit.
If no specified, 100 will be the default value.sinceId - Return the activities having the created timestamps greater than
the specified sinceId's created timestamp.maxId - Return the activities having the created timestamp less than the specified _maxId_'s created
timestamp. Note that _sinceId_ and _maxId_ must not be defined in one request,
if they are, the sinceId query param is chosen.numberOfComments - Specify the latest number of comments to be displayed along with each activity.
By default, _number\_of\_comments=0_. If _number\_of\_comments_ is a positive number, this number is
considered as a limit number that must be equal or less than 100. If the actual number of
comments is less than the provided positive number, the number of actual comments must be
returned. If the total number of comments is more than 100,
it is recommended to use: "_activity/\:activityId/comments.format_" instead.numberOfLikes - Specify the latest number of detailed likes to be returned along with this activity.
By default, _number\_of\_likes=0_. If _number\_of\_likes_ is a positive number, this number is
considered as a limit number that must be equal or less than 100. If the actual number
of likes is less than the provided positive number, the number of actual likes must be
returned. If the total number of likes is more than 100, it is recommended to use:
"_activity/\:activityId/likes.format_" instead.
public javax.ws.rs.core.Response getActivitySpacesOfAuthenticated(@Context
javax.ws.rs.core.UriInfo uriInfo,
String portalContainerName,
String format,
int limit,
String sinceId,
String maxId,
int numberOfComments,
int numberOfLikes)
uriInfo - The URI information.portalContainerName - The portal container name.format - The response format type, for example: JSON, or XML.limit - Specify the number of activities to retrieve. Must be less than or equal to 100.
The value you pass as limit is a maximum number of activities to be returned.
The actual number of activities you receive maybe less than limit.
If no specified, 100 will be the default value.sinceId - Return the activities having the created timestamps greater than
the specified sinceId's created timestamp.maxId - Return the activities having the created timestamp less than the specified maxId's created
timestamp. Note that _sinceId_ and _maxId_ must not be defined in one request,
if they are, the sinceId query param is chosen.numberOfComments - Specify the latest number of comments to be displayed along with each activity.
By default, _number\_of\_comments=0_. If _number\_of\_comments_ is a positive number, this number is
considered as a limit number that must be equal or less than 100. If the actual number of
comments is less than the provided positive number, the number of actual comments must be
returned. If the total number of comments is more than 100,
it is recommended to use: "_activity/\:activityId/comments.format_" instead.numberOfLikes - Specify the latest number of detailed likes to be returned along with this activity.
By default, _number\_of\_likes=0_. If _number\_of\_likes_ is a positive number, this number is
considered as a limit number that must be equal or less than 100. If the actual number
of likes is less than the provided positive number, the number of actual likes must be
returned. If the total number of likes is more than 100, it is recommended to use:
"_activity/\:activityId/likes.format_" instead.
public javax.ws.rs.core.Response getActivityConnectionsOfAuthenticated(@Context
javax.ws.rs.core.UriInfo uriInfo,
String portalContainerName,
String format,
int limit,
String sinceId,
String maxId,
int numberOfComments,
int numberOfLikes)
uriInfo - The URI information.portalContainerName - The portal container name.format - The response format type, for example: JSON, or XML.limit - Specify the number of activities to retrieve. Must be less than or equal to 100.
The value you pass as limit is a maximum number of activities to be returned.
The actual number of activities you receive maybe less than limit.
If no specified, 100 will be the default value.sinceId - Return the activities having the created timestamps greater than
the specified sinceId's created timestamp.maxId - Return the activities having the created timestamp less than the specified maxId's created
timestamp. Note that _sinceId_ and _maxId_ must not be defined in one request,
if they are, the sinceId query param is chosen.numberOfComments - Specify the latest number of comments to be displayed along with each activity.
By default, _number\_of\_comments=0_. If _number\_of\_comments_ is a positive number, this number is
considered as a limit number that must be equal or less than 100. If the actual number of
comments is less than the provided positive number, the number of actual comments must be
returned. If the total number of comments is more than 100,
it is recommended you use "_activity/\:activityId/comments.format_" instead.numberOfLikes - Specify the latest number of detailed likes to be returned along with this activity.
By default, _number\_of\_likes=0_. If _number\_of\_likes_ is a positive number, this number is
considered as a limit number that must be equal or less than 100. If the actual number
of likes is less than the provided positive number, the number of actual likes must be
returned. If the total number of likes is more than 100, it is recommended to use:
"_activity/\:activityId/likes.format_" instead.
|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||